"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const flexiblepersistence_1 = require("flexiblepersistence");
const backapi_1 = require("backapi");
class BaseControllerDefault extends backapi_1.AbstractControllerDefault {
    emit(responseOrSocket, operation, status, object) {
        const returnName = this.formatName().charAt(0).toLowerCase() +
            this.formatName().slice(1) +
            (operation === undefined ? '' : '.' + flexiblepersistence_1.Operation[operation]);
        return responseOrSocket.emit(returnName, { status, object });
    }
}
exports.default = BaseControllerDefault;
//# sourceMappingURL=baseControllerDefault.js.map