"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.journaly = exports.PersistenceHandler = exports.Handler = exports.eventdatabase = exports.read = void 0;
/* eslint-disable @typescript-eslint/ban-ts-comment */
/* eslint-disable @typescript-eslint/no-explicit-any */
// file deepcode ignore no-any: any needed
// file deepcode ignore object-literal-shorthand: argh
const flexiblepersistence_1 = require("flexiblepersistence");
Object.defineProperty(exports, "Handler", { enumerable: true, get: function () { return flexiblepersistence_1.Handler; } });
const backapi_1 = require("backapi");
const testService_1 = __importDefault(require("./testService"));
const databaseInfos_1 = require("./databaseInfos");
const service_1 = require("@flexiblepersistence/service");
const testModel_1 = __importDefault(require("./testModel"));
const sequelize_1 = require("@flexiblepersistence/sequelize");
const journaly_1 = require("journaly");
class PersistenceHandler extends backapi_1.DatabaseHandler {
}
exports.PersistenceHandler = PersistenceHandler;
const journaly = journaly_1.Journaly.newJournaly();
exports.journaly = journaly;
const database = new sequelize_1.SequelizePersistenceInfo(databaseInfos_1.readInfo, journaly, {
    logging: false,
});
const eventdatabase = new flexiblepersistence_1.PersistenceInfo(databaseInfos_1.eventInfo, journaly);
exports.eventdatabase = eventdatabase;
const sequelize = new sequelize_1.SequelizePersistence(database, { test: new testModel_1.default() });
const read = new service_1.ServiceHandler(database, {
    test: new testService_1.default(),
}, sequelize);
exports.read = read;
//# sourceMappingURL=sequelizeHandler.js.map